1

Civisualize is not installing. Shows critical error message only. How to fix this issue in civicrm WordPress?

Tried to solve this a lot. But no proper solution is found till now. Please reply if any knows more about fixing this issue?

1
  • 1
    Welcome to SE! What error does it give? What is in the log file? Which version of CiviCRM are you using?
    – Aidan
    Commented Sep 9, 2022 at 13:58

2 Answers 2

1

Similar problem here, civi 5.50.3 wordpress 6.0.2 on bluehost, tried to install civisualize 6.0 and it crashes wordpress: "There has been a critical error on this web site. Please check your site admin email inbox for instructions" Will try to find out if there is anything in the logs. Nothing in the admin email inbox. Checked the error log found this entry: "PHP fatal error: array and string offset access syntax with curly braces is no longer supported in /wp-content/uploads/civicrm/ext/eu.tttp.civisualize/civisualize.civix.php on line 247" - after editing line 247 and changing curly braces to square braces the module installs. Don't yet know if it will actually work but will try it.

1

Are you running PHP 8? If so I think you may have hit this issue: PHP Fatal error on php 8+

I'm guessing you have downloaded version 6 of this extension from the extension directory. Unfortunately this is quite out of date now (June 2020).

You can get the latest code from the master branch in GitHub. Try that to see if it fixes your issue.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.